Skip to main content
GET
/
v2
/
workspaces
/
usage
Get usage report per workspace
curl --request GET \
  --url https://api.topograph.co/v2/workspaces/usage \
  --header 'x-api-key: <api-key>'
[
  {
    "workspace": {
      "name": "paris-office",
      "legalName": "Acme Paris SAS",
      "isDefault": true
    },
    "totalCreditsUsed": 25.5,
    "totalRequests": 42,
    "breakdown": [
      {
        "sku": "fra-company-data",
        "count": 10,
        "totalCredits": 5
      }
    ]
  }
]

Authorizations

x-api-key
string
header
required

Query Parameters

startDate
string<date>

Filter usage from this date (ISO 8601)

Example:

"2026-01-01"

endDate
string<date>

Filter usage until this date (ISO 8601)

Example:

"2026-03-31"

workspace
string

Filter by workspace name

Example:

"paris-office"

Response

200 - application/json

Usage report per workspace

workspace
object
totalCreditsUsed
number

Total credits consumed by this workspace

Example:

25.5

totalRequests
number

Total number of billable requests for this workspace

Example:

42

breakdown
object[]

Usage breakdown by SKU